commit:     d071aba9e0ce3f910469fd95ba391456ae23235a
Author:     Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 31 14:15:40 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Jan 31 15:01:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d071aba9

media-video/obs-studio: add version 26.1.2

Closes: https://bugs.gentoo.org/745996
Closes: https://bugs.gentoo.org/761939
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Jimi Huotari <chiitoo <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/18883
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-video/obs-studio/Manifest                    |   1 +
 .../files/obs-studio-26.1.2-fix-alsa-crash.patch   |  30 ++++
 media-video/obs-studio/obs-studio-26.1.2.ebuild    | 155 +++++++++++++++++++++
 3 files changed, 186 insertions(+)

diff --git a/media-video/obs-studio/Manifest b/media-video/obs-studio/Manifest
index aa70deb5fcb..fb9bdc10f87 100644
--- a/media-video/obs-studio/Manifest
+++ b/media-video/obs-studio/Manifest
@@ -1 +1,2 @@
 DIST obs-studio-25.0.8.tar.gz 9531713 BLAKE2B 
4775ca8305e1beee4d926eff728351b699ca4d52f66e53409dbcfe1f73699df0286fadc0c138cb76b8eb73e70a143719e46f030b6d15d43629bdcbf23bdb88af
 SHA512 
a97c03dc218a4e03e48f6a7dc82b4a59ebeee2039f17be66bb847681ce9ff3d25e6e015be4af78fe44739f6fad5089b6e683d7657c2e4fde8e547df9a2594a08
+DIST obs-studio-26.1.2.tar.gz 16624899 BLAKE2B 
655a6c71d3a0ae6ae1fc2d166a148002bb17d6eaec06d5633a10fdbfe7f42e073526ede83cd36ad21c440debe870b41b43724caa00633733f1e196d918304adc
 SHA512 
cd95fbf587f7edfe415cae75299d65c1d771bb118649fb839ae43d77145d87725c23df3360aa7b8c35ab8b62e5ec7983a8b02f8b102caa78f768eb58b4263417

diff --git 
a/media-video/obs-studio/files/obs-studio-26.1.2-fix-alsa-crash.patch 
b/media-video/obs-studio/files/obs-studio-26.1.2-fix-alsa-crash.patch
new file mode 100644
index 00000000000..2e52926feba
--- /dev/null
+++ b/media-video/obs-studio/files/obs-studio-26.1.2-fix-alsa-crash.patch
@@ -0,0 +1,30 @@
+From 41367bb2b4732507248f2b3c2e43e2aa46c5ef2a Mon Sep 17 00:00:00 2001
+From: Jimi Huotari <[email protected]>
+Date: Wed, 30 Dec 2020 03:14:34 +0200
+Subject: [PATCH] UI: Fix crash when no audio backends are available
+
+This commit prevents a crash in, for example, Linux configurations
+where PulseAudio is disabled, which leads into 'mod' being 'null',
+which in turn leads into a segmentation fault when an ALSA source
+is selected.
+
+Closes https://github.com/obsproject/obs-studio/issues/3485
+---
+ UI/context-bar-controls.cpp | 4 ++++
+ 1 file changed, 4 insertions(+)
+
+diff --git a/UI/context-bar-controls.cpp b/UI/context-bar-controls.cpp
+index 9dff8979a2..9ef850b6d1 100644
+--- a/UI/context-bar-controls.cpp
++++ b/UI/context-bar-controls.cpp
+@@ -179,6 +179,10 @@ void AudioCaptureToolbar::Init()
+ 
+       obs_module_t *mod =
+               get_os_module("win-wasapi", "mac-capture", "linux-pulseaudio");
++      if (!mod) {
++              return;
++      }
++
+       const char *device_str =
+               get_os_text(mod, "Device", "CoreAudio.Device", "Device");
+       ui->deviceLabel->setText(device_str);

diff --git a/media-video/obs-studio/obs-studio-26.1.2.ebuild 
b/media-video/obs-studio/obs-studio-26.1.2.ebuild
new file mode 100644
index 00000000000..9833f5fb6b6
--- /dev/null
+++ b/media-video/obs-studio/obs-studio-26.1.2.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CMAKE_REMOVE_MODULES_LIST=( FindFreetype )
+LUA_COMPAT=( luajit )
+# Does not work with 3.8+ https://bugs.gentoo.org/754006
+PYTHON_COMPAT=( python3_7 )
+
+inherit cmake lua-single python-single-r1 xdg-utils
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/obsproject/obs-studio.git";
+       EGIT_SUBMODULES=()
+else
+       SRC_URI="https://github.com/obsproject/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Software for Recording and Streaming Live Video Content"
+HOMEPAGE="https://obsproject.com";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+alsa fdk imagemagick jack lua nvenc pulseaudio python speex +ssl 
truetype v4l vlc"
+REQUIRED_USE="
+       lua? ( ${LUA_REQUIRED_USE} )
+       python? ( ${PYTHON_REQUIRED_USE} )
+"
+
+BDEPEND="
+       lua? ( dev-lang/swig )
+       python? ( dev-lang/swig )
+"
+DEPEND="
+       >=dev-libs/jansson-2.5
+       dev-qt/qtcore:5
+       dev-qt/qtdeclarative:5
+       dev-qt/qtgui:5
+       dev-qt/qtmultimedia:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtquickcontrols:5
+       dev-qt/qtsql:5
+       dev-qt/qtsvg:5
+       dev-qt/qtwidgets:5
+       dev-qt/qtx11extras:5
+       dev-qt/qtxml:5
+       media-libs/x264:=
+       media-video/ffmpeg:=[x264]
+       net-misc/curl
+       sys-apps/dbus
+       sys-libs/zlib
+       virtual/udev
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXfixes
+       x11-libs/libXinerama
+       x11-libs/libXrandr
+       x11-libs/libxcb
+       alsa? ( media-libs/alsa-lib )
+       fdk? ( media-libs/fdk-aac:= )
+       imagemagick? ( media-gfx/imagemagick:= )
+       jack? ( virtual/jack )
+       lua? ( ${LUA_DEPS} )
+       nvenc? ( >=media-video/ffmpeg-4[video_cards_nvidia] )
+       pulseaudio? ( media-sound/pulseaudio )
+       python? ( ${PYTHON_DEPS} )
+       speex? ( media-libs/speexdsp )
+       ssl? ( net-libs/mbedtls:= )
+       truetype? (
+               media-libs/fontconfig
+               media-libs/freetype
+       )
+       v4l? ( media-libs/libv4l )
+       vlc? ( media-video/vlc:= )
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${PN}-26.1.2-fix-alsa-crash.patch" )
+
+pkg_setup() {
+       use lua && lua-single_pkg_setup
+       use python && python-single-r1_pkg_setup
+}
+
+src_configure() {
+       local libdir=$(get_libdir)
+       local mycmakeargs=(
+               -DDISABLE_ALSA=$(usex !alsa)
+               -DDISABLE_FREETYPE=$(usex !truetype)
+               -DDISABLE_JACK=$(usex !jack)
+               -DDISABLE_LIBFDK=$(usex !fdk)
+               -DDISABLE_PULSEAUDIO=$(usex !pulseaudio)
+               -DDISABLE_SPEEXDSP=$(usex !speex)
+               -DDISABLE_V4L2=$(usex !v4l)
+               -DDISABLE_VLC=$(usex !vlc)
+               -DLIBOBS_PREFER_IMAGEMAGICK=$(usex imagemagick)
+               -DOBS_MULTIARCH_SUFFIX=${libdir#lib}
+               -DUNIX_STRUCTURE=1
+               -DWITH_RTMPS=$(usex ssl)
+       )
+
+       if [[ ${PV} != *9999 ]]; then
+               mycmakeargs+=(
+                       -DOBS_VERSION_OVERRIDE=${PV}
+               )
+       fi
+
+       if use lua || use python; then
+               mycmakeargs+=(
+                       -DDISABLE_LUA=$(usex !lua)
+                       -DDISABLE_PYTHON=$(usex !python)
+                       -DENABLE_SCRIPTING=yes
+               )
+       else
+               mycmakeargs+=( -DENABLE_SCRIPTING=no )
+       fi
+
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+       #external plugins may need some things not installed by default, 
install them here
+       insinto /usr/include/obs/UI/obs-frontend-api
+       doins UI/obs-frontend-api/obs-frontend-api.h
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+
+       if ! use alsa && ! use pulseaudio; then
+               elog
+               elog "For the audio capture features to be available,"
+               elog "either the 'alsa' or the 'pulseaudio' USE-flag needs to"
+               elog "be enabled."
+               elog
+       fi
+
+       if ! has_version "sys-apps/dbus"; then
+               elog
+               elog "The 'sys-apps/dbus' package is not installed, but"
+               elog "could be used for disabling hibernating, screensaving,"
+               elog "and sleeping.  Where it is not installed,"
+               elog "'xdg-screensaver reset' is used instead"
+               elog "(if 'x11-misc/xdg-utils' is installed)."
+               elog
+       fi
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to